summaryrefslogtreecommitdiffstats
path: root/recipes-containers/lxc/files/templates-use-curl-instead-of-wget.patch
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-containers/lxc/files/templates-use-curl-instead-of-wget.patch')
-rw-r--r--recipes-containers/lxc/files/templates-use-curl-instead-of-wget.patch38
1 files changed, 19 insertions, 19 deletions
diff --git a/recipes-containers/lxc/files/templates-use-curl-instead-of-wget.patch b/recipes-containers/lxc/files/templates-use-curl-instead-of-wget.patch
index f06e5969..3c96c5e0 100644
--- a/recipes-containers/lxc/files/templates-use-curl-instead-of-wget.patch
+++ b/recipes-containers/lxc/files/templates-use-curl-instead-of-wget.patch
@@ -1,22 +1,22 @@
1From 1db2db7783bd7ec2aa1da86e640019891634c659 Mon Sep 17 00:00:00 2001 1From 3e4cb0b738649f7750413cefbcfdb2115213ad0d Mon Sep 17 00:00:00 2001
2From: Joakim Roubert <joakimr@axis.com> 2From: Bruce Ashfield <bruce.ashfield@gmail.com>
3Date: Fri, 16 Aug 2019 07:52:48 +0200 3Date: Sun, 14 Aug 2022 14:08:56 -0400
4Subject: [PATCH] Use curl instead of wget 4Subject: [PATCH] download: Use curl instead of wget
5 5
6When curl's MIT license is preferable to wget's GPLv3. 6When curl's MIT license is preferable to wget's GPLv3.
7 7
8Change-Id: I4684ae7569704514fdcc63e0655c556efcaf44f8
9Signed-off-by: Joakim Roubert <joakimr@axis.com> 8Signed-off-by: Joakim Roubert <joakimr@axis.com>
10Signed-off-by: Yanfei Xu <yanfei.xu@windriver.com> 9Signed-off-by: Yanfei Xu <yanfei.xu@windriver.com>
10Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
11--- 11---
12 templates/lxc-download.in | 10 +++++----- 12 templates/lxc-download.in | 8 ++++----
13 1 file changed, 5 insertions(+), 5 deletions(-) 13 1 file changed, 4 insertions(+), 4 deletions(-)
14 14
15Index: git/templates/lxc-download.in 15diff --git a/templates/lxc-download.in b/templates/lxc-download.in
16=================================================================== 16index a62ddf482..690307338 100755
17--- git.orig/templates/lxc-download.in 17--- a/templates/lxc-download.in
18+++ git/templates/lxc-download.in 18+++ b/templates/lxc-download.in
19@@ -59,9 +59,9 @@ 19@@ -59,9 +59,9 @@ cleanup() {
20 fi 20 fi
21 } 21 }
22 22
@@ -28,19 +28,16 @@ Index: git/templates/lxc-download.in
28 return 0 28 return 0
29 fi 29 fi
30 done 30 done
31@@ -70,8 +70,9 @@ 31@@ -70,7 +70,7 @@ wget_wrapper() {
32 } 32 }
33 33
34 download_file() { 34 download_file() {
35- if ! wget_wrapper --user-agent="lxc/@PACKAGE_VERSION@ compat:${DOWNLOAD_COMPAT_LEVEL}" -T 30 -q "https://${DOWNLOAD_SERVER}/$1" -O "$2" >/dev/null 2>&1; then 35- if ! wget_wrapper --user-agent="lxc/@PACKAGE_VERSION@ compat:${DOWNLOAD_COMPAT_LEVEL}" -T 30 -q "https://${DOWNLOAD_SERVER}/$1" -O "$2" >/dev/null 2>&1; then
36- if [ "$3" = "noexit" ]; then 36+ if ! curl_wrapper --user-agent "lxc/@PACKAGE_VERSION@ compat:${DOWNLOAD_COMPAT_LEVEL}" -m 30 -s "https://${DOWNLOAD_SERVER}/$1" -o "$2" >/dev/null 2>&1; then
37+ if ! curl_wrapper --user-agent="lxc/@PACKAGE_VERSION@ compat:${DOWNLOAD_COMPAT_LEVEL}" -m 30 -s "https://${DOWNLOAD_SERVER}/$1" -o "$2" >/dev/null 2>&1; then 37 if [ "$3" = "noexit" ]; then
38+ if ! curl_wrapper --user-agent="lxc/@PACKAGE_VERSION@ compat:${DOWNLOAD_COMPAT_LEVEL}" -m 30 -s "http://${DOWNLOAD_SERVER}/$1" -o "$2" >/dev/null 2>&1; then
39+ if [ "$3" = "noexit" ]; then
40 return 1 38 return 1
41 else 39 else
42 echo "ERROR: Failed to download https://${DOWNLOAD_SERVER}/$1" 1>&2 40@@ -176,7 +176,7 @@ while :; do
43@@ -176,7 +177,7 @@
44 done 41 done
45 42
46 # Check for required binaries 43 # Check for required binaries
@@ -49,3 +46,6 @@ Index: git/templates/lxc-download.in
49 if ! command -V "${bin}" >/dev/null 2>&1; then 46 if ! command -V "${bin}" >/dev/null 2>&1; then
50 echo "ERROR: Missing required tool: ${bin}" 1>&2 47 echo "ERROR: Missing required tool: ${bin}" 1>&2
51 exit 1 48 exit 1
49--
502.25.1
51